%define name aee
%define version 2.2.3
%define release 1

Summary: A easy to use text editor with a terminal or an X interface.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: Applications/Editors
URL: http://www.users.uswest.net/~hmahon
Source0: %{name}-%{version}.tar.gz
Source1: xae.wmconfig
Patch: aee-2.2.3.patch
BuildRoot: /var/tmp/%{name}-%{version}

%description
Aee is a text editor that is intended to be easy to use.  Little or no
instruction is needed for new users.  Aee provides both a curses-based
terminal interface and a native X Window System interface (the X
executable is called xae).  Aee's features include pop-up menus,
journalling for recovery from system crashes or connection losses, cut
and paste, and multiple buffers.

%prep
%setup -q
%patch -p1 -b .orig_locations

%build
make both

%install
rm -rf $RPM_BUILD_ROOT
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/aee,man/man1}
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/
install -s -m 755 aee $RPM_BUILD_ROOT/usr/bin
install -s -m 755 xae $RPM_BUILD_ROOT/usr/bin
install -m 644 aee.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 help.ae $RPM_BUILD_ROOT/usr/lib/aee
install -m 644 $RPM_SOURCE_DIR/xae.wmconfig \
        $RPM_BUILD_ROOT/etc/X11/wmconfig/xae
(
	cd $RPM_BUILD_ROOT/usr/bin
	ln -s aee rae
	ln -s xae rxae
)

%post
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%postun
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Artistic README.aee aee.1.ps aee.i18n.guide keypad
%attr(755,root,root) /usr/bin/aee
%attr(755,root,root) /usr/bin/xae
%attr(755,root,root) /usr/bin/rae
%attr(755,root,root) /usr/bin/rxae
%attr(644,root,root) /usr/lib/aee/help.ae
%attr(644,root,root) /usr/man/man1/aee.1
/etc/X11/wmconfig/xae

%changelog
* Thu Oct 28 1999 Tim Powers <timp@redhat.com>
- updated to 2.2.3
- updated patch to allow the install with the /usr prefix

* Tue Jul 17 1999 Dale Lovelace <dale@redhat.com>
- added xae.wmconfig

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- built package for 6.1

* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- cleaned up spec file

* Mon Jan 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [aee-2.2.1-2]
- Changed header to comply with RHCN specs.

